Skip to content

GetListing

GET/api/v1/listings/{listing}

Fetch a listing by name.

Example request

curl \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
"https://us.oblique.security/api/v1/listings/{listing}"

Set OBLIQUE_API_KEY to your API key.

Path parameters

  • namestringrequired

    Format: listings/{listing}

Response

200Listing

Listing is a collection of resources by role that enable a user-facing view to facilitate access requests. Top level listings describe a service, such as “GitHub”, “Salesforce”, or “Datadog”. Listings then have a set of roles that grant users kinds of access to the service, such as “Viewer”, “Editor”, or “Admin”.

  • namestring

    Assigned by Oblique. Name of the listing of the format listings/{id}.

  • createTimestring (date-time)read-only

    Create and update timestamps.

  • updateTimestring (date-time)read-only
  • deleteTimestring (date-time)read-only

    If present, the listing has been deleted and won’t be returned in List operations.

  • effectiveMembersUpdateTimestring (date-time)read-only

    The time when a change was last made that would require the listing’s effective members to be recomputed. For example, when an entitlement is created or deleted on a resource that is part of a listing role.

  • effectiveMembersSyncTimestring (date-time)read-only

    The time when the listing’s effective members were last recomputed by the effective membership sync.

  • displayNamestringrequired

    A short display name of the listing. For example “GitHub” or “Salesforce”.

  • descriptionstring

    A longer description of the role explaining to the end user what this listing represents, or what users should do once they have access.

  • visibilitystringrequired
    Allowed values: UNLISTED, PUBLIC

    Visibility of the listing. When initially created, this should be set to “UNLISTED”.

  • managementManagement

    How this listing is managed. Set automatically by the server based on the calling client. Omitted from responses when the listing is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error